## wl-mirror 0.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
 set(WLR_PROTOCOL_DIR "/usr/share/wlr-protocols/" CACHE STRING "wlr-protocols directory")
 set(PROTOCOLS
     "stable/xdg-shell/xdg-shell.xml"
+    "stable/viewporter/viewporter.xml"
+    "staging/fractional-scale/fractional-scale-v1.xml"
     "unstable/xdg-output/xdg-output-unstable-v1.xml"
     "unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml"
     "unstable/wlr-export-dmabuf-unstable-v1.xml"
@@ -40,7 +42,7 @@
 endif()
 
 # main target
-file(GLOB sources src/*.c)
+file(GLOB sources CONFIGURE_DEPENDS src/*.c)
 add_executable(wl-mirror ${sources})
 target_compile_options(wl-mirror PRIVATE -Wall -Wextra)
 target_include_directories(wl-mirror PRIVATE include/)
