=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 endfunction()
 
 # required dependencies
+find_library(MATH_LIBRARY m REQUIRED)
 pkg_check_modules(WaylandClient REQUIRED IMPORTED_TARGET "wayland-client")
 pkg_check_modules(WaylandEGL REQUIRED IMPORTED_TARGET "wayland-egl")
 pkg_check_modules(EGL REQUIRED IMPORTED_TARGET "egl")
@@ -32,8 +33,18 @@
 
 # link dependencies
 target_link_libraries(deps INTERFACE
+    ${MATH_LIBRARY}
     PkgConfig::WaylandClient PkgConfig::WaylandEGL PkgConfig::EGL PkgConfig::GLESv2
 )
 target_link_libraries(proto_deps INTERFACE
     PkgConfig::WaylandClient
 )
+
+# check for epoll support in libc
+include(CheckSymbolExists)
+check_symbol_exists("epoll_wait" "sys/epoll.h" has-epoll)
+if(NOT has-epoll)
+    # use epoll-shim to provide epoll
+    pkg_check_modules(EPoll REQUIRED IMPORTED_TARGET "epoll-shim")
+    target_link_libraries(deps INTERFACE PkgConfig::EPoll)
+endif()
