=== debian/changelog ===
wl-mirror (0.16.1-1) unstable; urgency=medium

  * Fixed regions being incorrectly applied on outputs with fractional scale

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Fri, 02 Feb 2024 14:46:19 +0100

wl-mirror (0.16.0-1) unstable; urgency=medium

  * Implemented fractional scale support
  * Made scaling and scaling filter options independent
  * Added --scaling cover option for cropping image to fit
  * Changed --scaling exact to also perform exact multiple downscaling

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Tue, 23 Jan 2024 17:25:34 +0100

wl-mirror (0.15.0-1) unstable; urgency=medium

  * Updated wayland-protocols to 1.32 and wlr-protocols to the latest version
  * Fixed some build system issues where changed files would not get rebuilt
  * Added --fullscreen and --fullscreen-output options for starting wl-mirror
    in fullscreen and setting the output to fullscreen to

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Thu, 28 Dec 2023 20:39:38 +0100

wl-mirror (0.14.2-1) unstable; urgency=medium

  * Fixed unclear licensing terms in the README. This project is now licensed
    as GPL-3.0-or-later

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Fri, 27 Oct 2023 14:02:58 +0200

wl-mirror (0.14.1-1) unstable; urgency=medium

  * Performed some refactors in preparation for XDG Desktop Portal Support
  * Fixed potentially incorrect rendering when the image contains an alpha
    channel
  * Fixed an incorrect log message in the screencopy backend
  * Clarified when scdoc is required in the README

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Thu, 26 Oct 2023 14:13:08 +0200
