=== debian/control ===
Source: wl-mirror
Section: x11
Priority: optional
Maintainer: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkg-config, libwayland-dev, libgles-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Ferdi265/wl-mirror
Vcs-Browser: https://github.com/Ferdi265/wl-mirror-debian
Vcs-Git: https://github.com/Ferdi265/wl-mirror-debian.git
Rules-Requires-Root: no

Package: wl-mirror
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: output-mirroring tool for wlroots-based Wayland desktops
 wl-mirror is a tool to add output mirroring to sway and other wlroots-based
 Wayland compositors. wl-mirror requires the export-dmabuf or screencopy
 protocols to work.
