=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --buildsystem=cmake

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=OFF
else
DOCS=ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DOCUMENTATION=$(DOCS) \
		-DINSTALL_DOCUMENTATION=$(DOCS) \
		$(NULL)
