## wl-mirror 0.16.4

=== debian/changelog ===
wl-mirror (0.16.4-1) unstable; urgency=medium

  * Allow specifying additional options after wl-present mirror. This allows
    starting wl-mirror directly in fullscreen via wl-present, e.g. wl-present
    mirror --fullscreen-output HDMI-A-1 --fullscreen.
  * Allow overriding slurp in wl-present via WL_PRESENT_SLURP environment
    variable.
  * Automatically detect fuzzel as a dmenu replacement in wl-present
  * Add kanshi configuration example to README
  * Update wl-present man page

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Mon, 1 Jul 2024 15:40:01 +0200

wl-mirror (0.16.3-1) unstable; urgency=medium

  * Fixed wl-mirror crashing when more than one seat exists in the session
  * Simplified handling of WL_PRESENT_DMENU in wl-present
  * Added unset-region and unfullscreen options to wl-present

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Thu, 13 Jun 2024 20:09:40 +0200

wl-mirror (0.16.2-2) unstable; urgency=medium

  * Fixed the wl-present package description breaking the guidelines on binary
    package descriptions (Closes: #1067597)

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Sun, 24 Mar 2024 11:30:20 +0100

wl-mirror (0.16.2-1) unstable; urgency=medium

  * Added wl-present, a script for managing presentation sessions with
    wl-mirror that allows interactive control of the output or region that is
    mirrored (Closes: #1065245)

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Sat, 02 Mar 2024 13:09:22 +0100
