## wl-mirror 0.16.5

=== debian/changelog ===
wl-mirror (0.16.5-1) unstable; urgency=medium

  * Fix wl-mirror consuming 100% CPU on one core when using the --stream (or
    -S) option. Since wl-present uses the stream option, this also affected
    wl-present usage.

 -- Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>  Fri, 19 Jul 2024 16:22:52 +0200
