=== debian/control ===
Source: wl-mirror
Section: x11
Priority: optional
Maintainer: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, libwayland-dev, libgles-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Ferdi265/wl-mirror
Vcs-Browser: https://github.com/Ferdi265/wl-mirror-debian
Vcs-Git: https://github.com/Ferdi265/wl-mirror-debian.git
Rules-Requires-Root: no

Package: wl-mirror
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wl-present
Description: output-mirroring tool for wlroots-based Wayland desktops
 wl-mirror is a tool to add output mirroring to sway and other wlroots-based
 Wayland compositors. wl-mirror requires the export-dmabuf or screencopy
 protocols to work.

Package: wl-present
Architecture: all
Depends: wl-mirror, bash (>= 5.2), slurp, wofi | wmenu | rofi | dmenu, ${misc:Depends}
Recommends: pipectl
Description: command-line tool for managing wl-mirror presentation sessions
 wl-present is a command-line tool for managing wl-mirror presentation
 sessions. wl-present allows interactive control of the output or region that
 is mirrored in wl-mirror.
