=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 	dh_auto_configure -- \
 		-DBUILD_DOCUMENTATION=$(DOCS) \
 		-DINSTALL_DOCUMENTATION=$(DOCS) \
+		-DINSTALL_EXAMPLE_SCRIPTS=ON \
 		$(NULL)
