## wl-mirror 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # options
 option(INSTALL_EXAMPLE_SCRIPTS "install wl-mirror example scripts" OFF)
 option(INSTALL_DOCUMENTATION "install wl-mirror manual pages" OFF)
+option(WITH_LIBDECOR "use libdecor for window decoration" OFF)
+set(FORCE_WAYLAND_SCANNER_PATH "" CACHE STRING "provide a custom path for wayland-scanner")
 
 # wayland protocols needed by wl-mirror
 option(FORCE_SYSTEM_WL_PROTOCOLS "force use of system wayland-protocols" OFF)
