=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
-Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, libwayland-dev, libgles-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, wayland-protocols, libwayland-dev, libgles-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/Ferdi265/wl-mirror
 Vcs-Browser: https://github.com/Ferdi265/wl-mirror-debian
 Vcs-Git: https://github.com/Ferdi265/wl-mirror-debian.git
