=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DFORCE_SYSTEM_WL_PROTOCOLS=ON \
 		-DBUILD_DOCUMENTATION=$(DOCS) \
 		-DINSTALL_DOCUMENTATION=$(DOCS) \
 		-DINSTALL_EXAMPLE_SCRIPTS=ON \
