## wl-mirror 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 option(INSTALL_EXAMPLE_SCRIPTS "install wl-mirror example scripts" OFF)
 option(INSTALL_DOCUMENTATION "install wl-mirror manual pages" OFF)
 option(WITH_LIBDECOR "use libdecor for window decoration" OFF)
+option(WITH_GBM "use GBM and libdrm for dmabuf allocation" OFF)
 set(FORCE_WAYLAND_SCANNER_PATH "" CACHE STRING "provide a custom path for wayland-scanner")
 
 # wayland protocols needed by wl-mirror
@@ -18,6 +19,9 @@
     "stable/xdg-shell/xdg-shell.xml"
     "stable/viewporter/viewporter.xml"
     "staging/fractional-scale/fractional-scale-v1.xml"
+    "staging/ext-image-copy-capture/ext-image-copy-capture-v1.xml"
+    "staging/ext-image-capture-source/ext-image-capture-source-v1.xml"
+    "staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml"
     "unstable/xdg-output/xdg-output-unstable-v1.xml"
     "unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml"
     "unstable/wlr-export-dmabuf-unstable-v1.xml"
@@ -44,7 +48,7 @@
 endif()
 
 # main target
-file(GLOB sources CONFIGURE_DEPENDS src/*.c)
+file(GLOB_RECURSE sources CONFIGURE_DEPENDS src/*.c)
 add_executable(wl-mirror ${sources})
 target_compile_options(wl-mirror PRIVATE -Wall -Wextra)
 target_include_directories(wl-mirror PRIVATE include/)
