=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -59,3 +59,10 @@
     target_link_libraries(deps INTERFACE PkgConfig::LibDecor)
     target_compile_definitions(deps INTERFACE WITH_LIBDECOR)
 endif()
+
+if(${WITH_GBM})
+    pkg_check_modules(GBM REQUIRED IMPORTED_TARGET "gbm")
+    pkg_check_modules(LibDRM REQUIRED IMPORTED_TARGET "libdrm")
+    target_link_libraries(deps INTERFACE PkgConfig::GBM PkgConfig::LibDRM)
+    target_compile_definitions(deps INTERFACE WITH_GBM WITH_LIBDRM)
+endif()
