=== glsl/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 add_library(shaders STATIC)
-target_include_directories(shaders INTERFACE "${CMAKE_CURRENT_BINARY_DIR}/include/")
+target_include_directories(shaders PUBLIC "${CMAKE_CURRENT_BINARY_DIR}/include/")
 file(GLOB shaders CONFIGURE_DEPENDS "*.glsl")
 foreach(shader ${shaders})
     get_filename_component(shader-base "${shader}" NAME_WE)
 
+    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/wlm/glsl")
     set(shader-template "${CMAKE_CURRENT_SOURCE_DIR}/embed.c.in")
-    set(shader-header "${CMAKE_CURRENT_BINARY_DIR}/include/glsl_${shader-base}.h")
+    set(shader-header "${CMAKE_CURRENT_BINARY_DIR}/include/wlm/glsl/${shader-base}.h")
     set(shader-source "${CMAKE_CURRENT_BINARY_DIR}/src/glsl_${shader-base}.c")
 
     message(STATUS "embedding ${shader-base}.glsl")
@@ -13,6 +14,7 @@
     add_custom_command(
         OUTPUT "${shader-source}"
         MAIN_DEPENDENCY "${shader}"
+        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/embed.cmake" "${shader-template}"
         COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/embed.cmake" "${shader}" "${shader-template}" "${shader-source}"
     )
     add_custom_target(gen-${shader-base} DEPENDS "${shader-source}")
