=== man/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     set(man-bin "${CMAKE_BINARY_DIR}/man/${name}.${section}")
     add_custom_command(
         OUTPUT "${man-bin}"
+        MAIN_DEPENDENCY "${man-src}"
         COMMAND "${SCDOC}" < "${man-src}" > "${man-bin}"
     )
     add_custom_target(gen-man-${name}-${section} ALL DEPENDS "${man-bin}")
