=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
-Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, wayland-protocols, libwayland-dev, libgles-dev
+Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, wayland-protocols, libwayland-dev, libgles-dev, libdecor-0-dev, libdrm-dev, libgbm-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/Ferdi265/wl-mirror
 Vcs-Browser: https://github.com/Ferdi265/wl-mirror-debian
