=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DFORCE_SYSTEM_WL_PROTOCOLS=ON \
+		-DWITH_LIBDECOR=ON \
+		-DWITH_GBM=ON \
 		-DBUILD_DOCUMENTATION=$(DOCS) \
 		-DINSTALL_DOCUMENTATION=$(DOCS) \
 		-DINSTALL_EXAMPLE_SCRIPTS=ON \
