=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
 Build-Depends: debhelper-compat (= 13), dh-cmake, cmake (>= 3.18), scdoc (>= 1.11.2) <!nodoc>, pkgconf, wayland-protocols, libwayland-dev, libgles-dev, libdecor-0-dev, libdrm-dev, libgbm-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/Ferdi265/wl-mirror
 Vcs-Browser: https://github.com/Ferdi265/wl-mirror-debian
 Vcs-Git: https://github.com/Ferdi265/wl-mirror-debian.git
@@ -12,7 +12,7 @@
 Package: wl-mirror
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: wl-present
+Recommends: wl-present, libdecor-0-plugin-1-gtk | libdecor-0-plugin-1-cairo
 Description: output-mirroring tool for wlroots-based Wayland desktops
  wl-mirror is a tool to add output mirroring to sway and other wlroots-based
  Wayland compositors. wl-mirror requires the export-dmabuf or screencopy
