=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/Ferdi265/@PACKAGE@/releases
Matching-Pattern: https://github.com/Ferdi265/@PACKAGE@/releases/download/v@ANY_VERSION@/@PACKAGE@-(?:\d[\-+\.:\~\da-zA-Z]*)-nowlp@ARCHIVE_EXT@
Search-Mode: plain
Pgp-Sig-Url-Mangle: s%$%.sig%
